@import url(https://fonts.googleapis.com/css2?family=Noto+Sans+JP&display=swap);@charset "UTF-8";

.amazonpay-start-purchase {
  background-color: #fff;
  background-image: unset;
  width: 95%;
  margin: 5% auto;
}

.amazonpay-start-purchase__title {
  width: 50%;
  margin: 0 auto;
}

.amazonpay-start-purchase__container {
  padding: 5% 3%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.amazonpay-start-purchase__container .description {
  font-size: 1rem;
  text-align: center;
}

.amazonpay-start-purchase__container .caption {
  display: flex;
  align-items: center;
  padding: 2%;
  margin: 7% 0%;
}

.amazonpay-start-purchase__container .caption__text {
  display: flex;
  flex-direction: column;
  flex: 1;
  font-size: 1rem;
}

.amazonpay-start-purchase__container .caption__text > span {
  align-self: flex-start;
  font-size: 1.12rem;
  font-weight: bold;
  margin-bottom: 2%;
}

.amazonpay-start-purchase__container .render-button {
  min-width: 80%;
  min-height: 5rem;
}

.amazonpay-start-purchase__container .reference {
  margin: 7% 0;
}

.amazonpay-start-purchase__container .reference ul {
  padding-left: 0.5rem;
  list-style: none;
}

.amazonpay-start-purchase__container .reference ul li {
  margin: 2% 0;
}

.amazonpay-start-purchase__container .back-btn > button {
  background-color: unset;
  font-size: 1.2rem;
  text-decoration: underline;
}

.amazonpay-sign-in___container {
  z-index: 99999;
  position: fixed;
  left: 50%;
  width: 90%;
  padding: 5% 3%;
  margin: 5% auto;
  border-radius: 10px;
  margin-top: 30vh;
  transform: translatex(-50%);
}

.amazonpay-sign-in___container .description {
  font-size: 1rem;
  text-align: center;
  font-family: "Noto Serif JP", "MS-P \660E\671D", "MS PMincho", serif;
}

.amazonpay-sign-in___container .render-button {
  display: none;
}

.amazonpay-sign-in___container .reference {
  margin: 3% 0;
}

.amazonpay-sign-in___container .reference ul {
  padding-left: 0;
  list-style: none;
}

body {
  background-image: var(--bg-url);
}

body,
div,
h1,
h2,
h3,
h4,
h5,
h6,
p,
li,
span,
a,
button {
  font-family: "Noto Sans JP", "Nunito", "Yu Gothic UI Semibold", "Arial", sans-serif;
}

#loadingLid {
  position: absolute;
  top: 0;
  left: 0;
}

#loadingLid .loading-lid {
  position: fixed;
  display: flex;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background-color: #0000001c;
  z-index: 100;
}

#loadingLid .loading-lid__icon {
  box-sizing: border-box;
  width: 15px;
  height: 15px;
  margin: 0 auto;
  border-radius: 50%;
  box-shadow: 0 -30px 0 #eee, 21px -21px 0 #ddd, 30px 0 0 #ccc, 21px 21px 0 #bbb, 0 30px 0 #aaa, -21px 21px 0 #999, -30px 0 0 #666, -21px -21px 0 #000;
  -webkit-animation: loading-rotate 1s steps(8) 0s infinite;
          animation: loading-rotate 1s steps(8) 0s infinite;
}

@-webkit-keyframes loading-rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes loading-rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#alert-message {
  z-index: 10000;
  position: fixed;
  left: 50%;
  width: 100%;
  transform: translateX(-50%);
  color: #1f1f1f;
  line-height: 180%;
  font-family: "Noto Serif JP", "MS-P \660E\671D", "MS PMincho", serif;
  font-size: 4vw;
  padding-left: 5vw;
}

